import tempfile
import os.path

from gtts import gTTS
import requests

from rollbot import as_plugin


@as_plugin
def yell(msg, endpoint_cfg: "yell.endpoint"):
    tmp_dir = tempfile.mkdtemp()
    tmp_file = os.path.join(tmp_dir, "yell.mp3")

    tts = gTTS(text=msg.raw_args, lang="en", slow=False)
    tts.save(tmp_file)
    
    with open(tmp_file, "rb") as f:
        requests.post(endpoint_cfg, data=f)

    return "Passed the message along to Audiobot!"
